Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
Class TableLayoutCell

    java.lang.Object
      groovy.swing.impl.TableLayoutCell

    class TableLayoutCell
    extends Object

Represents a cell in a table layout.

author:
  James Strachan

version:
  $Revision: 10744 $

Field Summary
`protected static Logger` | `LOG`

Constructor Summary
`TableLayoutCell(TableLayoutRow parent)`

Method Summary
`void` | `addComponent(Component component)`
`protected GridBagConstraints` | `createConstraints()`
`protected int` | `getAnchor()`
`int` | `getColspan()`
`Component` | `getComponent()`
`GridBagConstraints` | `getConstraints()`
`int` | `getRowspan()`
`boolean` | `isColfill()` Returns the colfill.
`boolean` | `isRowfill()` Returns the rowfill.
`void` | `setAlign(String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
`void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
`void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
`void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
`void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
`void` | `setValign(String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### LOG

    protected static final Logger LOG

Constructor Detail

### TableLayoutCell

    public TableLayoutCell(TableLayoutRow parent)

Method Detail

### addComponent

    public void addComponent(Component component)

### createConstraints

    protected GridBagConstraints createConstraints()

### getAnchor

    protected int getAnchor()

  return:
    the GridBagConstraints enumeration for anchor

### getColspan

    public int getColspan()

### getComponent

    public Component getComponent()

### getConstraints

    public GridBagConstraints getConstraints()

  return:
    the constraints of this cell

### getRowspan

    public int getRowspan()

### isColfill

    public boolean isColfill()

  Returns the colfill.
  return:
    boolean

### isRowfill

    public boolean isRowfill()

  Returns the rowfill.
  return:
    boolean

### setAlign

    public void setAlign(String align)

  Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
  param:
    align one of 'left', 'center', or 'right'

### setColfill

    public void setColfill(boolean colfill)

  Sets whether or not this column should allow its component to stretch to fill the space available
  param:
    colfill The default is false

### setColspan

    public void setColspan(int colspan)

  Sets the number of columns that this cell should span. The default value is 1
  param:
    colspan The default is 1

### setRowfill

    public void setRowfill(boolean rowfill)

  Sets whether or not this row should allow its component to stretch to fill the space available
  param:
    rowfill The default is false

### setRowspan

    public void setRowspan(int rowspan)

  Sets the number of rows that this cell should span. The default value is 1
  param:
    rowspan The default is 1

### setValign

    public void setValign(String valign)

  Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}
  param:
    valign one of 'top', 'middle', 'bottom'

Copyright © 2003-2009 The Codehaus. All rights reserved.